# Description

The iri_helena_bringup ROS package contains the launch files to set up and configure the Helena robot in ROS.

# Dependencies

This node has the following dependencies:

 * [iri_pioneer3_bringup](https://gitlab.iri.upc.edu/labrobotica/ros/platforms/Pioneer3/iri_pioneer3_bringup)

 * [iri_hokuyo_laser2d_bringup](https://gitlab.iri.upc.edu/labrobotica/ros/sensors/ranger2d/iri_hokuyo_laser2d_bringup)

# Install

This package, as well as all IRI dependencies, can be installed by cloning the 
repository inside the active workspace:

```
roscd
cd ../src
git clone https://gitlab.iri.upc.edu/labrobotica/ros/robots/helena/iri_helena_bringup.git 
```

However, this package is normally used as part of a wider installation (i.e. a 
robot, an experiment or a demosntration) which will normally include a complete 
rosinstall file to be used with the [wstool](http://wiki.ros.org/wstool) tool.

# How to use it

The *bringup.launch* launch file is intended to be included in any launch file 
that needs the robot.

To remap topics and services, use a global remap command.

The *test.launch* launch file shows an example of use, including bringup, description and rviz.